package com.qmth.themis.business.bean.admin;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 腾讯云回调事件bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/4/28
 */
public class TencentEventBean implements Serializable {

    @ApiModelProperty(name = "房间事件组")
    private String EventGroupId;

    @ApiModelProperty(name = "进入房间事件")
    private String EventType;

    @ApiModelProperty(name = "回调时间，单位毫秒")
    private Long CallbackTs;

    @ApiModelProperty(name = "事件详情")
    private TencentEventInfoBean EventInfo;

    public String getEventGroupId() {
        return EventGroupId;
    }

    public void setEventGroupId(String eventGroupId) {
        EventGroupId = eventGroupId;
    }

    public String getEventType() {
        return EventType;
    }

    public void setEventType(String eventType) {
        EventType = eventType;
    }

    public Long getCallbackTs() {
        return CallbackTs;
    }

    public void setCallbackTs(Long callbackTs) {
        CallbackTs = callbackTs;
    }

    public TencentEventInfoBean getEventInfo() {
        return EventInfo;
    }

    public void setEventInfo(TencentEventInfoBean eventInfo) {
        EventInfo = eventInfo;
    }
}
